Bug 373141 - Resume from Suspend to Ram not working on Samsung X20 (with some sort of fix)
Resume from Suspend to Ram not working on Samsung X20 (with some sort of fix)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 11:48 EST by Jan Falkenhagen
Modified: 2013-03-05 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:07:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Falkenhagen 2007-11-09 11:48:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Resuming from STR does not work on the cited laptop model. On a fresh installation of Fedora 8, the machine freezes upon resume. Although there is some harddisk activity, caps lock key is not responding.  

Version-Release number of selected component (if applicable):
hal-0.5.10-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. run pm-suspend
2. wake-up

Actual Results:
System freezes

Expected Results:
System should have resumed properly.

Additional info:
There is a fix of this behaviour at least on the laptop model (hal-device information is provided below) i got in my hands. The laptop identifies as SX20S. There is already a definition for this laptop in /usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-misc.fdi which is in fact causing the trouble. The laptop freezes when the default quirks for this model are used. If no quirks are used at all, the laptop will resume normally except that the display remains black. Once the lines:

<match key="system.hardware.vendor" prefix="Samsung">
  <match key="system.hardware.product" string="SX20S">
  <merge key="power_management.quirk.s3_bios" type="bool">true</merge>
  <merge key="power_management.quirk.s3_mode" type="bool">true</merge>
  </match>

are replaced by 

<match key="system.hardware.vendor" prefix="Samsung">
  <match key="system.hardware.product" string="SX20S">
  <merge key="power_management.quirk.vbe_post" type="bool">true</merge>
  </match>

the laptop resumes perfectly.

hal-device.log

0: udi = '/org/freedesktop/Hal/devices/net_00_00_f0_75_99_66'
  net.arp_proto_hw_id = 1  (0x1)  (int)
  net.80203.mac_address = 4034238822  (0xf0759966)  (uint64)
  net.physical_device = '/org/freedesktop/Hal/devices/pci_14e4_170c'  (string)
  net.address = '00:00:f0:75:99:66'  (string)
  info.capabilities = { 'net', 'net.80203' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/net_00_00_f0_75_99_66'  (string)
  linux.subsystem = 'net'  (string)
  net.originating_device = '/org/freedesktop/Hal/devices/pci_14e4_170c'  (string)
  net.linux.ifindex = 7  (0x7)  (int)
  info.product = 'Networking Interface'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/net/eth0'  (string)
  info.category = 'net.80203'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_14e4_170c'  (string)
  net.interface = 'eth0'  (string)

1: udi = '/org/freedesktop/Hal/devices/acpi_ADP1'
  info.capabilities = { 'ac_adapter' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/acpi_ADP1'  (string)
  linux.acpi_path = '/proc/acpi/ac_adapter/ADP1'  (string)
  info.product = 'AC Adapter'  (string)
  linux.hotplug_type = 4  (0x4)  (int)
  linux.acpi_type = 3  (0x3)  (int)
  info.category = 'ac_adapter'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  ac_adapter.present = false  (bool)

2: udi = '/org/freedesktop/Hal/devices/acpi_FAN1'
  info.capabilities = { 'fan' } (string list)
  fan.enabled = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/acpi_FAN1'  (string)
  linux.acpi_path = '/proc/acpi/fan/FAN1'  (string)
  info.product = 'Fan'  (string)
  linux.hotplug_type = 4  (0x4)  (int)
  linux.acpi_type = 2  (0x2)  (int)
  info.category = 'fan'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

3: udi = '/org/freedesktop/Hal/devices/acpi_CPU0'
  info.capabilities = { 'processor' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/acpi_CPU0'  (string)
  linux.acpi_path = '/proc/acpi/processor/CPU0'  (string)
  info.product = 'Intel(R) Pentium(R) M processor 1.60GHz'  (string)
  linux.hotplug_type = 4  (0x4)  (int)
  processor.can_throttle = true  (bool)
  linux.acpi_type = 1  (0x1)  (int)
  info.category = 'processor'  (string)
  processor.number = 0  (0x0)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

4: udi = '/org/freedesktop/Hal/devices/acpi_BAT1'
  info.capabilities = { 'battery' } (string list)
  battery.charge_level.warning = 0  (0x0)  (int)
  info.category = 'battery'  (string)
  info.product = 'Battery Bay'  (string)
  battery.technology = 'lithium-ion'  (string)
  battery.reporting.warning = 0  (0x0)  (int)
  battery.rechargeable.is_discharging = true  (bool)
  battery.model = ''  (string)
  battery.charge_level.granularity_1 = 11  (0xb)  (int)
  battery.charge_level.granularity_2 = 11  (0xb)  (int)
  linux.acpi_path = '/proc/acpi/battery/BAT1'  (string)
  battery.charge_level.current = 27572  (0x6bb4)  (int)
  battery.charge_level.design = 53280  (0xd020)  (int)
  battery.charge_level.low = 899  (0x383)  (int)
  battery.reporting.last_full = 2700  (0xa8c)  (int)
  battery.reporting.technology = 'LION'  (string)
  battery.reporting.granularity_1 = 1  (0x1)  (int)
  battery.is_rechargeable = true  (bool)
  battery.reporting.granularity_2 = 1  (0x1)  (int)
  battery.reporting.current = 2484  (0x9b4)  (int)
  battery.voltage.unit = 'mV'  (string)
  battery.charge_level.capacity_state = 'ok'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  battery.remaining_time = 5860  (0x16e4)  (int)
  battery.rechargeable.is_charging = false  (bool)
  battery.reporting.rate = 1526  (0x5f6)  (int)
  battery.charge_level.rate = 16938  (0x422a)  (int)
  battery.reporting.design = 4800  (0x12c0)  (int)
  battery.present = true  (bool)
  info.udi = '/org/freedesktop/Hal/devices/acpi_BAT1'  (string)
  linux.acpi_type = 0  (0x0)  (int)
  battery.voltage.design = 11100  (0x2b5c)  (int)
  battery.reporting.low = 81  (0x51)  (int)
  battery.type = 'primary'  (string)
  battery.charge_level.last_full = 29970  (0x7512)  (int)
  battery.reporting.unit = 'mAh'  (string)
  battery.voltage.current = 11891  (0x2e73)  (int)
  battery.charge_level.percentage = 91  (0x5b)  (int)
  battery.vendor = 'SAMSUNG'  (string)
  linux.hotplug_type = 4  (0x4)  (int)
  battery.charge_level.unit = 'mWh'  (string)

5: udi = '/org/freedesktop/Hal/devices/storage_model_DV_W28E'
  block.minor = 0  (0x0)  (int)
  storage.requires_eject = true  (bool)
  info.capabilities = { 'storage', 'block', 'storage.cdrom', 'access_control' } (string list)
  storage.bus = 'scsi'  (string)
  storage.cdrom.support_media_changed = true  (bool)
  storage.cdrom.support_multisession = true  (bool)
  storage.removable.media_available = false  (bool)
  storage.cdrom.hddvdr = false  (bool)
  storage.cdrom.mrw_w = true  (bool)
  info.category = 'storage'  (string)
  info.product = 'DV-W28E'  (string)
  storage.drive_type = 'cdrom'  (string)
  storage.hotpluggable = false  (bool)
  storage.physical_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.cdrom.mrw = true  (bool)
  access_control.file = '/dev/sr0'  (string)
  storage.vendor = 'TEAC'  (string)
  storage.media_check_enabled = true  (bool)
  storage.cdrom.read_speed = 4234  (0x108a)  (int)
  org.freedesktop.Hal.Device.Storage.method_names = { 'Eject', 'CloseTray' } (string list)
  storage.cdrom.dvd = true  (bool)
  block.is_volume = false  (bool)
  storage.firmware_version = 'S.0A'  (string)
  storage.cdrom.bdre = false  (bool)
  storage.cdrom.mo = false  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_model_DV_W28E'  (string)
  info.addons = { 'hald-addon-storage' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0'  (string)
  storage.cdrom.dvdplusr = true  (bool)
  access_control.type = 'cdrom'  (string)
  storage.size = 0  (0x0)  (uint64)
  storage.cdrom.write_speed = 4234  (0x108a)  (int)
  org.freedesktop.Hal.Device.Storage.method_signatures = { 'as', 'as' } (string list)
  block.device = '/dev/sr0'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  org.freedesktop.Hal.Device.Storage.method_argnames = { 'extra_options', 'extra_options' } (string list)
  storage.cdrom.cdr = true  (bool)
  storage.no_partitions_hint = true  (bool)
  storage.cdrom.bdr = false  (bool)
  storage.removable = true  (bool)
  storage.lun = 0  (0x0)  (int)
  info.vendor = 'TEAC'  (string)
  storage.cdrom.dvdram = true  (bool)
  storage.cdrom.dvdplusrwdl = false  (bool)
  storage.cdrom.write_speeds = { '4234', '2822', '1764', '706' } (string list)
  storage.cdrom.dvdr = true  (bool)
  info.interfaces = { 'org.freedesktop.Hal.Device.Storage', 'org.freedesktop.Hal.Device.Storage' } (string list)
  org.freedesktop.Hal.Device.Storage.method_execpaths = { 'hal-storage-eject', 'hal-storage-closetray' } (string list)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.model = 'DV-W28E'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_DV_W28E'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  storage.cdrom.dvdplusrdl = false  (bool)
  storage.cdrom.bd = false  (bool)
  storage.cdrom.hddvdrw = false  (bool)
  block.major = 11  (0xb)  (int)
  storage.removable.support_async_notification = false  (bool)
  linux.hotplug_type = 3  (0x3)  (int)
  storage.cdrom.cdrw = true  (bool)
  storage.cdrom.dvdplusrw = true  (bool)
  linux.sysfs_path = '/sys/block/sr0'  (string)
  storage.cdrom.dvdrw = true  (bool)
  storage.automount_enabled_hint = true  (bool)
  storage.cdrom.hddvd = false  (bool)

6: udi = '/org/freedesktop/Hal/devices/volume_uuid_cc9cedeb_1f14_4cf7_8b4e_ce05acd8c4e7'
  block.minor = 7  (0x7)  (int)
  org.freedesktop.Hal.Device.Volume.method_names = { 'Mount', 'Unmount', 'Eject' } (string list)
  volume.ignore = false  (bool)
  volume.label = '/1'  (string)
  info.capabilities = { 'volume', 'block' } (string list)
  volume.is_partition = true  (bool)
  volume.mount_point = '/'  (string)
  info.category = 'volume'  (string)
  info.product = '/1'  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = true  (bool)
  block.is_volume = true  (bool)
  volume.linux.is_device_mapper = false  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.partition.number = 7  (0x7)  (int)
  volume.num_blocks = 14619024  (0xdf1190)  (int)
  volume.fsversion = '1.0'  (string)
  block.device = '/dev/sda7'  (string)
  volume.uuid = 'cc9cedeb-1f14-4cf7-8b4e-ce05acd8c4e7'  (string)
  volume.partition.media_size = 79516916224  (0x128393da00)  (uint64)
  volume.fsusage = 'filesystem'  (string)
  volume.is_mounted_read_only = false  (bool)
  org.freedesktop.Hal.Device.Volume.method_argnames = { 'mount_point fstype extra_options', 'extra_options', 'extra_options' } (string list)
  info.interfaces = { 'org.freedesktop.Hal.Device.Volume' } (string list)
  storage.model = ''  (string)
  volume.size = 7484940288  (0x1be232000)  (uint64)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_cc9cedeb_1f14_4cf7_8b4e_ce05acd8c4e7'  (string)
  volume.mount.valid_options = { 'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'noexec', 'quiet', 'remount', 'exec', 'acl', 'user_xattr', 'data=' } (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = { 'ssas', 'as', 'as' } (string list)
  block.major = 8  (0x8)  (int)
  volume.fstype = 'ext3'  (string)
  org.freedesktop.Hal.Device.Volume.method_execpaths = { 'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject' } (string list)
  volume.unmount.valid_options = { 'lazy' } (string list)
  linux.hotplug_type = 3  (0x3)  (int)
  volume.partition.start = 21237737472  (0x4f1de2800)  (uint64)
  linux.sysfs_path = '/sys/block/sda/sda7'  (string)

7: udi = '/org/freedesktop/Hal/devices/volume_uuid_e9b1d982_6786_4cba_a82f_c92da9ecff95'
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  volume.is_mounted = false  (bool)
  volume.partition.media_size = 79516916224  (0x128393da00)  (uint64)
  volume.fstype = 'swap'  (string)
  volume.label = ''  (string)
  volume.mount_point = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.is_disc = false  (bool)
  volume.is_partition = true  (bool)
  volume.num_blocks = 1959867  (0x1de7bb)  (int)
  block.major = 8  (0x8)  (int)
  block.is_volume = true  (bool)
  volume.is_mounted_read_only = false  (bool)
  info.capabilities = { 'volume', 'block' } (string list)
  volume.partition.number = 6  (0x6)  (int)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_e9b1d982_6786_4cba_a82f_c92da9ecff95'  (string)
  volume.uuid = 'e9b1d982-6786-4cba-a82f-c92da9ecff95'  (string)
  volume.size = 1003451904  (0x3bcf7600)  (uint64)
  linux.hotplug_type = 3  (0x3)  (int)
  storage.model = ''  (string)
  info.product = 'Volume (swap)'  (string)
  linux.sysfs_path = '/sys/block/sda/sda6'  (string)
  volume.fsusage = 'other'  (string)
  info.category = 'volume'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fsversion = '2'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  block.device = '/dev/sda6'  (string)
  block.minor = 6  (0x6)  (int)
  volume.partition.start = 78510329856  (0x1247949000)  (uint64)

8: udi = '/org/freedesktop/Hal/devices/volume_uuid_9e0bdfac_b318_4438_9bc5_1e9a051bbdd1'
  block.minor = 5  (0x5)  (int)
  org.freedesktop.Hal.Device.Volume.method_names = { 'Mount', 'Unmount', 'Eject' } (string list)
  volume.ignore = false  (bool)
  volume.label = '/home'  (string)
  info.capabilities = { 'volume', 'block' } (string list)
  volume.is_partition = true  (bool)
  volume.mount_point = '/home'  (string)
  info.category = 'volume'  (string)
  info.product = '/home'  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = true  (bool)
  block.is_volume = true  (bool)
  volume.linux.is_device_mapper = false  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.partition.number = 5  (0x5)  (int)
  volume.num_blocks = 97241382  (0x5cbc926)  (int)
  volume.fsversion = '1.0'  (string)
  block.device = '/dev/sda5'  (string)
  volume.uuid = '9e0bdfac-b318-4438-9bc5-1e9a051bbdd1'  (string)
  volume.partition.media_size = 79516916224  (0x128393da00)  (uint64)
  volume.fsusage = 'filesystem'  (string)
  volume.is_mounted_read_only = false  (bool)
  org.freedesktop.Hal.Device.Volume.method_argnames = { 'mount_point fstype extra_options', 'extra_options', 'extra_options' } (string list)
  info.interfaces = { 'org.freedesktop.Hal.Device.Volume' } (string list)
  storage.model = ''  (string)
  volume.size = 49787587584  (0xb97924c00)  (uint64)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_9e0bdfac_b318_4438_9bc5_1e9a051bbdd1'  (string)
  volume.mount.valid_options = { 'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'noexec', 'quiet', 'remount', 'exec', 'acl', 'user_xattr', 'data=' } (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = { 'ssas', 'as', 'as' } (string list)
  block.major = 8  (0x8)  (int)
  volume.fstype = 'ext3'  (string)
  org.freedesktop.Hal.Device.Volume.method_execpaths = { 'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject' } (string list)
  volume.unmount.valid_options = { 'lazy' } (string list)
  linux.hotplug_type = 3  (0x3)  (int)
  volume.partition.start = 28722710016  (0x6b001c600)  (uint64)
  linux.sysfs_path = '/sys/block/sda/sda5'  (string)

9: udi = '/org/freedesktop/Hal/devices/volume_part2_size_1024'
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  volume.is_mounted = false  (bool)
  volume.partition.media_size = 79516916224  (0x128393da00)  (uint64)
  volume.fstype = ''  (string)
  volume.label = ''  (string)
  volume.mount_point = ''  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.is_disc = false  (bool)
  volume.is_partition = true  (bool)
  volume.num_blocks = 2  (0x2)  (int)
  block.major = 8  (0x8)  (int)
  block.is_volume = true  (bool)
  volume.is_mounted_read_only = false  (bool)
  info.capabilities = { 'volume', 'block' } (string list)
  volume.partition.number = 2  (0x2)  (int)
  info.udi = '/org/freedesktop/Hal/devices/volume_part2_size_1024'  (string)
  volume.uuid = ''  (string)
  volume.size = 1024  (0x400)  (uint64)
  linux.hotplug_type = 3  (0x3)  (int)
  storage.model = ''  (string)
  info.product = 'Volume'  (string)
  linux.sysfs_path = '/sys/block/sda/sda2'  (string)
  volume.fsusage = ''  (string)
  info.category = 'volume'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.fsversion = ''  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  block.device = '/dev/sda2'  (string)
  block.minor = 2  (0x2)  (int)
  volume.partition.start = 21237672960  (0x4f1dd2c00)  (uint64)

10: udi = '/org/freedesktop/Hal/devices/volume_uuid_36EC5A78EC5A327B'
  block.minor = 1  (0x1)  (int)
  volume.label = ''  (string)
  volume.ignore = false  (bool)
  org.freedesktop.Hal.Device.Volume.method_names = { 'Mount', 'Unmount', 'Eject' } (string list)
  info.capabilities = { 'volume', 'block' } (string list)
  volume.partition.flags = { 'boot' } (string list)
  volume.is_partition = true  (bool)
  volume.mount_point = ''  (string)
  info.category = 'volume'  (string)
  info.product = 'Volume (ntfs)'  (string)
  volume.is_disc = false  (bool)
  volume.is_mounted = false  (bool)
  volume.partition.type = '0x07'  (string)
  block.is_volume = true  (bool)
  volume.linux.is_device_mapper = false  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  volume.block_size = 512  (0x200)  (int)
  volume.partition.number = 1  (0x1)  (int)
  volume.num_blocks = 41479767  (0x278ee57)  (int)
  volume.fsversion = '3.1'  (string)
  block.device = '/dev/sda1'  (string)
  volume.uuid = '36EC5A78EC5A327B'  (string)
  volume.partition.label = ''  (string)
  volume.partition.scheme = 'mbr'  (string)
  volume.partition.media_size = 79516916224  (0x128393da00)  (uint64)
  volume.partition.uuid = ''  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.is_mounted_read_only = false  (bool)
  org.freedesktop.Hal.Device.Volume.method_argnames = { 'mount_point fstype extra_options', 'extra_options', 'extra_options' } (string list)
  info.interfaces = { 'org.freedesktop.Hal.Device.Volume' } (string list)
  storage.model = ''  (string)
  volume.size = 21237640704  (0x4f1dcae00)  (uint64)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_36EC5A78EC5A327B'  (string)
  volume.mount.valid_options = { 'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'noexec', 'quiet', 'remount', 'exec', 'uid=', 'gid=', 'umask=', 'locale=', 'utf8' } (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = { 'ssas', 'as', 'as' } (string list)
  block.major = 8  (0x8)  (int)
  volume.fstype = 'ntfs'  (string)
  org.freedesktop.Hal.Device.Volume.method_execpaths = { 'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject' } (string list)
  volume.unmount.valid_options = { 'lazy' } (string list)
  linux.hotplug_type = 3  (0x3)  (int)
  volume.partition.start = 32256  (0x7e00)  (uint64)
  linux.sysfs_path = '/sys/block/sda/sda1'  (string)

11: udi = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'
  storage.media_check_enabled = false  (bool)
  storage.firmware_version = 'UE10'  (string)
  storage.removable.media_available = true  (bool)
  storage.size = 79516916224  (0x128393da00)  (uint64)
  storage.hotpluggable = false  (bool)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  storage.bus = 'scsi'  (string)
  block.major = 8  (0x8)  (int)
  block.is_volume = false  (bool)
  storage.drive_type = 'disk'  (string)
  info.capabilities = { 'storage', 'block' } (string list)
  storage.removable.media_size = 79516916224  (0x128393da00)  (uint64)
  info.udi = '/org/freedesktop/Hal/devices/storage_serial_SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  storage.lun = 0  (0x0)  (int)
  storage.no_partitions_hint = false  (bool)
  info.vendor = 'ATA'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  storage.model = 'SAMSUNG MP0804H'  (string)
  storage.serial = 'SATA_SAMSUNG_MP0804HS07MJ10Y309051'  (string)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'SAMSUNG MP0804H'  (string)
  storage.requires_eject = false  (bool)
  linux.sysfs_path = '/sys/block/sda'  (string)
  storage.physical_device = '/org/freedesktop/Hal/devices/computer'  (string)
  info.category = 'storage'  (string)
  storage.automount_enabled_hint = true  (bool)
  storage.removable = false  (bool)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0'  (string)
  block.device = '/dev/sda'  (string)
  block.minor = 0  (0x0)  (int)
  storage.vendor = 'ATA'  (string)
  storage.partitioning_scheme = 'mbr'  (string)

12: udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'
  linux.device_file = '/dev/snd/timer'  (string)
  alsa.device_file = '/dev/snd/timer'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'timer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'ALSA Timer Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/timer'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  access_control.file = '/dev/snd/timer'  (string)

13: udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer_0'
  oss.type = 'sequencer'  (string)
  linux.device_file = '/dev/sequencer2'  (string)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/sequencer2'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer_0'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'OSS Sequencer Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/sequencer2'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  access_control.file = '/dev/sequencer2'  (string)

14: udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer'
  oss.type = 'sequencer'  (string)
  linux.device_file = '/dev/sequencer'  (string)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/sequencer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_oss_sequencer'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'OSS Sequencer Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/sequencer'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  access_control.file = '/dev/sequencer'  (string)

15: udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'
  linux.device_file = '/dev/snd/seq'  (string)
  alsa.device_file = '/dev/snd/seq'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'sequencer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'ALSA Sequencer Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/seq'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  access_control.file = '/dev/snd/seq'  (string)

16: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_playback_0'
  alsa.card_id = 'Intel ICH6 Modem'  (string)
  linux.device_file = '/dev/snd/pcmC1D0p'  (string)
  alsa.device_file = '/dev/snd/pcmC1D0p'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'playback'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_playback_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  alsa.pcm_class = 'modem'  (string)
  alsa.device_id = 'Intel ICH6 Modem - Modem'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 1  (0x1)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  info.product = 'Intel ICH6 Modem - Modem ALSA Playback Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC1D0p'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 0  (0x0)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/snd/pcmC1D0p'  (string)

17: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_capture_0'
  alsa.card_id = 'Intel ICH6 Modem'  (string)
  linux.device_file = '/dev/snd/pcmC1D0c'  (string)
  alsa.device_file = '/dev/snd/pcmC1D0c'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'capture'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_capture_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  alsa.pcm_class = 'modem'  (string)
  alsa.device_id = 'Intel ICH6 Modem - Modem'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 1  (0x1)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  info.product = 'Intel ICH6 Modem - Modem ALSA Capture Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC1D0c'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 0  (0x0)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/snd/pcmC1D0c'  (string)

18: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_playback_4'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D4p'  (string)
  alsa.device_file = '/dev/snd/pcmC0D4p'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'playback'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_playback_4'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6 - IEC958'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 - IEC958 ALSA Playback Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D4p'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 4  (0x4)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D4p'  (string)

19: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_3'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D3c'  (string)
  alsa.device_file = '/dev/snd/pcmC0D3c'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'capture'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_3'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6 - ADC2'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 - ADC2 ALSA Capture Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D3c'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 3  (0x3)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D3c'  (string)

20: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_2'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D2c'  (string)
  alsa.device_file = '/dev/snd/pcmC0D2c'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'capture'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_2'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6 - MIC2 ADC'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 - MIC2 ADC ALSA Capture Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D2c'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 2  (0x2)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D2c'  (string)

21: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_1'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D1c'  (string)
  alsa.device_file = '/dev/snd/pcmC0D1c'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'capture'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_1'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6 - MIC ADC'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 - MIC ADC ALSA Capture Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D1c'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 1  (0x1)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D1c'  (string)

22: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_playback_0'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D0p'  (string)
  alsa.device_file = '/dev/snd/pcmC0D0p'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'playback'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_playback_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 ALSA Playback Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D0p'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 0  (0x0)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D0p'  (string)

23: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_0'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/pcmC0D0c'  (string)
  alsa.device_file = '/dev/snd/pcmC0D0c'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'capture'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_capture_0'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  alsa.pcm_class = 'generic'  (string)
  alsa.device_id = 'Intel ICH6'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 ALSA Capture Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/pcmC0D0c'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  alsa.device = 0  (0x0)  (int)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/pcmC0D0c'  (string)

24: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_mixer__1'
  oss.type = 'mixer'  (string)
  linux.device_file = '/dev/mixer1'  (string)
  oss.card = 1  (0x1)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/mixer1'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_mixer__1'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'Intel ICH6 Modem - Modem OSS Control Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/mixer1'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.card_id = 'Intel ICH6 Modem'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.device_id = 'Intel ICH6 Modem - Modem'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/mixer1'  (string)

25: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_mixer__1'
  oss.type = 'mixer'  (string)
  linux.device_file = '/dev/mixer'  (string)
  oss.card = 0  (0x0)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/mixer'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_mixer__1'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  info.product = 'Intel ICH6 OSS Control Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/mixer'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.card_id = 'Intel ICH6 with AD1981B'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.device_id = 'Intel ICH6'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/mixer'  (string)

26: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_pcm_0_0'
  oss.type = 'pcm'  (string)
  linux.device_file = '/dev/dsp1'  (string)
  oss.card = 1  (0x1)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/dsp1'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_pcm_0_0'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  oss.device = 0  (0x0)  (int)
  info.product = 'Intel ICH6 Modem - Modem OSS PCM Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/dsp1'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.card_id = 'Intel ICH6 Modem'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.device_id = 'Intel ICH6 Modem - Modem'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/dsp1'  (string)

27: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_0_0'
  oss.type = 'pcm'  (string)
  linux.device_file = '/dev/dsp'  (string)
  oss.card = 0  (0x0)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/dsp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_0_0'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  oss.device = 0  (0x0)  (int)
  info.product = 'Intel ICH6 OSS PCM Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/dsp'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.card_id = 'Intel ICH6 with AD1981B'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.device_id = 'Intel ICH6'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/dsp'  (string)

28: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_control__1'
  alsa.card_id = 'Intel ICH6 Modem'  (string)
  linux.device_file = '/dev/snd/controlC1'  (string)
  alsa.device_file = '/dev/snd/controlC1'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'control'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_alsa_control__1'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 1  (0x1)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  info.product = 'Intel ICH6 Modem ALSA Control Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/controlC1'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/snd/controlC1'  (string)

29: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_control__1'
  alsa.card_id = 'Intel ICH6 with AD1981B'  (string)
  linux.device_file = '/dev/snd/controlC0'  (string)
  alsa.device_file = '/dev/snd/controlC0'  (string)
  info.capabilities = { 'alsa', 'access_control' } (string list)
  alsa.type = 'control'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_alsa_control__1'  (string)
  alsa.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  alsa.card = 0  (0x0)  (int)
  alsa.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  info.product = 'Intel ICH6 with AD1981B ALSA Control Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/controlC0'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'alsa'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/snd/controlC0'  (string)

30: udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_pcm_0'
  oss.type = 'pcm'  (string)
  linux.device_file = '/dev/audio1'  (string)
  oss.card = 1  (0x1)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/audio1'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d_oss_pcm_0'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  oss.device = 0  (0x0)  (int)
  info.product = 'Intel ICH6 Modem - Modem OSS PCM Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/audio1'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.card_id = 'Intel ICH6 Modem'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  oss.device_id = 'Intel ICH6 Modem - Modem'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  access_control.file = '/dev/audio1'  (string)

31: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_0'
  oss.type = 'pcm'  (string)
  linux.device_file = '/dev/audio'  (string)
  oss.card = 0  (0x0)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/audio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_0'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  oss.device = 0  (0x0)  (int)
  info.product = 'Intel ICH6 OSS PCM Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/audio'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.card_id = 'Intel ICH6 with AD1981B'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.device_id = 'Intel ICH6'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/audio'  (string)

32: udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_1'
  oss.type = 'pcm'  (string)
  linux.device_file = '/dev/adsp'  (string)
  oss.card = 0  (0x0)  (int)
  info.capabilities = { 'oss', 'access_control' } (string list)
  oss.device_file = '/dev/adsp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e_oss_pcm_1'  (string)
  linux.subsystem = 'sound'  (string)
  access_control.grant_user = { 'gdm' } (string list)
  oss.device = 1  (0x1)  (int)
  info.product = 'Intel ICH6 OSS PCM Device'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/sound/adsp'  (string)
  oss.physical_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.card_id = 'Intel ICH6 with AD1981B'  (string)
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  info.category = 'oss'  (string)
  oss.originating_device = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  oss.device_id = 'Intel ICH6'  (string)
  access_control.type = 'sound'  (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  access_control.file = '/dev/adsp'  (string)

33: udi = '/org/freedesktop/Hal/devices/computer'
  system.chassis.type = 'Other'  (string)
  info.capabilities = { 'cpufreq_control' } (string list)
  system.kernel.name = 'Linux'  (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_argnames = { 'num_seconds_to_sleep', 'num_seconds_to_sleep', '', '', '', 'enable_power_save' } (string list)
  system.kernel.version = '2.6.23.1-42.fc8'  (string)
  system.kernel.machine = 'i686'  (string)
  smbios.system.uuid = 'C0F0359A-E41D-B211-8000-B1361DBBD895'  (string)
  power_management.can_suspend_to_disk = true  (bool)
  system.hardware.vendor = 'Samsung Electronics'  (string)
  smbios.chassis.type = 'Other'  (string)
  smbios.system.serial = '123490EN400015'  (string)
  info.product = 'Computer'  (string)
  smbios.bios.version = '04ZE'  (string)
  system.hardware.uuid = 'C0F0359A-E41D-B211-8000-B1361DBBD895'  (string)
  info.callouts.session_add = { 'hal-acl-tool --reconfigure' } (string list)
  power_management.acpi.linux.version = '20070126'  (string)
  system.hardware.serial = '123490EN400015'  (string)
  power_management.can_hibernate = true  (bool)
  smbios.bios.vendor = 'Phoenix Technologies LTD'  (string)
  power_management.is_powersave_set = true  (bool)
  smbios.system.manufacturer = 'Samsung Electronics'  (string)
  info.addons = { 'hald-addon-cpufreq', 'hald-addon-acpi' } (string list)
  power_management.can_suspend_to_ram = true  (bool)
  system.hardware.primary_video.product = 9618  (0x2592)  (int)
  system.hardware.product = 'SX20S'  (string)
  system.firmware.version = '04ZE'  (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_signatures = { 'i', 'i', '', '', '', 'b' } (string list)
  system.firmware.release_date = '02/02/2005'  (string)
  system.chassis.manufacturer = 'Samsung Electronics'  (string)
  smbios.system.version = 'Revision PR'  (string)
  power_management.can_suspend = true  (bool)
  system.formfactor = 'laptop'  (string)
  power_management.type = 'acpi'  (string)
  info.callouts.add = { 'hal-acl-tool --remove-all', 'hal-storage-cleanup-all-mountpoints' } (string list)
  smbios.chassis.manufacturer = 'Samsung Electronics'  (string)
  system.firmware.vendor = 'Phoenix Technologies LTD'  (string)
  info.subsystem = 'unknown'  (string)
  power_management.can_suspend_hybrid = false  (bool)
  power_management.quirk.vbe_post = true  (bool)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.product = 'SX20S Revision PR'  (string)
  info.interfaces = { 'org.freedesktop.Hal.Device.SystemPowerManagement', 'org.freedesktop.Hal.Device.CPUFreq' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
  smbios.bios.release_date = '02/02/2005'  (string)
  info.bus = 'unknown'  (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_names = { 'Suspend', 'SuspendHybrid', 'Hibernate', 'Shutdown', 'Reboot', 'SetPowerSave' } (string list)
  system.hardware.version = 'Revision PR'  (string)
  info.callouts.session_inactive = { 'hal-acl-tool --reconfigure' } (string list)
  info.callouts.session_remove = { 'hal-acl-tool --reconfigure' } (string list)
  info.callouts.session_active = { 'hal-acl-tool --reconfigure' } (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_execpaths = { 'hal-system-power-suspend', 'hal-system-power-suspend-hybrid', 'hal-system-power-hibernate', 'hal-system-power-shutdown', 'hal-system-power-reboot', 'hal-system-power-set-power-save' } (string list)
  smbios.system.product = 'SX20S'  (string)
  system.vendor = 'Samsung Electronics'  (string)

34: udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0_scsi_generic'
  linux.device_file = '/dev/sg1'  (string)
  info.capabilities = { 'scsi_generic' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0_scsi_generic'  (string)
  linux.subsystem = 'scsi_generic'  (string)
  scsi_generic.device = '/dev/sg1'  (string)
  info.product = 'SCSI Generic Interface'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/scsi_generic/sg1'  (string)
  info.category = 'scsi_generic'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0'  (string)

35: udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_scsi_generic'
  linux.device_file = '/dev/sg0'  (string)
  info.capabilities = { 'scsi_generic' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_scsi_generic'  (string)
  linux.subsystem = 'scsi_generic'  (string)
  scsi_generic.device = '/dev/sg0'  (string)
  info.product = 'SCSI Generic Interface'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/scsi_generic/sg0'  (string)
  info.category = 'scsi_generic'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0'  (string)

36: udi = '/org/freedesktop/Hal/devices/net_00_0e_35_ed_b1_56'
  net.arp_proto_hw_id = 1  (0x1)  (int)
  net.physical_device = '/org/freedesktop/Hal/devices/pci_8086_4220'  (string)
  net.address = '00:0e:35:ed:b1:56'  (string)
  info.capabilities = { 'net', 'net.80211' } (string list)
  net.80211.mac_address = 61034312022  (0xe35edb156)  (uint64)
  info.udi = '/org/freedesktop/Hal/devices/net_00_0e_35_ed_b1_56'  (string)
  linux.subsystem = 'net'  (string)
  net.originating_device = '/org/freedesktop/Hal/devices/pci_8086_4220'  (string)
  net.linux.ifindex = 3  (0x3)  (int)
  info.product = 'WLAN Interface'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/net/eth1'  (string)
  info.category = 'net.80211'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_4220'  (string)
  net.interface = 'eth1'  (string)
Comment 1 Jan Falkenhagen 2007-11-09 11:49:19 EST
37: udi = '/org/freedesktop/Hal/devices/pci_1180_822_mmc_host'
  mmc_host.host = 0  (0x0)  (int)
  info.capabilities = { 'mmc_host' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/pci_1180_822_mmc_host'  (string)
  linux.subsystem = 'mmc_host'  (string)
  info.product = 'MMC/SD Host Adapter'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/mmc_host/mmc0'  (string)
  info.category = 'mmc_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1180_822'  (string)

38: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_4'
  linux.device_file = '/dev/input/event7'  (string)
  input.xkb.model = 'evdev'  (string)
  input.product = 'Video Bus'  (string)
  info.capabilities = { 'input', 'input.keys', 'button' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_4'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Video Bus'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  input.xkb.rules = 'base'  (string)
  linux.sysfs_path = '/sys/class/input/input7/event7'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  input.x11_driver = 'evdev'  (string)
  info.category = 'input'  (string)
  input.xkb.layout = 'us'  (string)
  input.device = '/dev/input/event7'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  input.xkb.variant = ''  (string)

39: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_3'
  linux.device_file = '/dev/input/event6'  (string)
  button.has_state = false  (bool)
  input.product = 'Sleep Button (CM)'  (string)
  info.capabilities = { 'input', 'button' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_3'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Sleep Button (CM)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input6/event6'  (string)
  button.type = 'sleep'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  info.category = 'input'  (string)
  input.device = '/dev/input/event6'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

40: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'
  linux.device_file = '/dev/input/event5'  (string)
  button.has_state = false  (bool)
  input.product = 'Power Button (CM)'  (string)
  info.capabilities = { 'input', 'button' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_2'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Power Button (CM)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input5/event5'  (string)
  button.type = 'power'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  info.category = 'input'  (string)
  input.device = '/dev/input/event5'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

41: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'
  button.state.value = false  (bool)
  linux.device_file = '/dev/input/event4'  (string)
  button.has_state = true  (bool)
  input.product = 'Lid Switch'  (string)
  info.capabilities = { 'input', 'input.switch', 'button' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_1'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Lid Switch'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input4/event4'  (string)
  button.type = 'lid'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  info.category = 'input'  (string)
  input.device = '/dev/input/event4'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

42: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'
  linux.device_file = '/dev/input/event3'  (string)
  button.has_state = false  (bool)
  input.product = 'Power Button (FF)'  (string)
  info.capabilities = { 'input', 'button' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input_0'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Power Button (FF)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input3/event3'  (string)
  button.type = 'power'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  info.category = 'input'  (string)
  input.device = '/dev/input/event3'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

43: udi =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input'
  linux.device_file = '/dev/input/event2'  (string)
  input.product = 'SynPS/2 Synaptics TouchPad'  (string)
  info.capabilities = { 'input', 'input.touchpad' } (string list)
  info.udi =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input' 
(string)
  linux.subsystem = 'input'  (string)
  input.originating_device =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'  (string)
  info.product = 'SynPS/2 Synaptics TouchPad'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input2/event2'  (string)
  info.category = 'input'  (string)
  input.physical_device =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'  (string)
  input.device = '/dev/input/event2'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port' 
(string)

44: udi =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input'
  linux.device_file = '/dev/input/event1'  (string)
  input.xkb.model = 'evdev'  (string)
  input.product = 'AT Translated Set 2 keyboard'  (string)
  info.capabilities = { 'input', 'input.keyboard', 'input.keypad', 'input.keys',
'button' } (string list)
  info.udi =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port_logicaldev_input' 
(string)
  linux.subsystem = 'input'  (string)
  input.originating_device =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  info.product = 'AT Translated Set 2 keyboard'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  input.xkb.rules = 'base'  (string)
  linux.sysfs_path = '/sys/class/input/input1/event1'  (string)
  info.addons.singleton = { 'hald-addon-input' } (string list)
  input.x11_driver = 'evdev'  (string)
  info.category = 'input'  (string)
  input.xkb.layout = 'us'  (string)
  input.physical_device =
'/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  input.device = '/dev/input/event1'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port' 
(string)
  input.xkb.variant = ''  (string)

45: udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'
  linux.device_file = '/dev/input/event0'  (string)
  input.product = 'Macintosh mouse button emulation'  (string)
  info.capabilities = { 'input', 'input.mouse' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/computer_logicaldev_input'  (string)
  linux.subsystem = 'input'  (string)
  info.product = 'Macintosh mouse button emulation'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/class/input/input0/event0'  (string)
  input.x11_driver = 'evdev'  (string)
  info.category = 'input'  (string)
  input.device = '/dev/input/event0'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

46: udi = '/org/freedesktop/Hal/devices/pnp_PNP0f13'
  info.bus = 'pnp'  (string)
  pnp.description = 'PS/2 Port for PS/2-style Mice'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0f13'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0f13'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'PS/2 Port for PS/2-style Mice'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:09'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'i8042 aux'  (string)

47: udi = '/org/freedesktop/Hal/devices/pnp_PNP0303'
  info.bus = 'pnp'  (string)
  pnp.description = 'IBM Enhanced (101/102-key, PS/2 mouse support)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0303'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0303'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'IBM Enhanced (101/102-key, PS/2 mouse support)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:08'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'i8042 kbd'  (string)

48: udi = '/org/freedesktop/Hal/devices/pnp_PNP0b00'
  info.bus = 'pnp'  (string)
  pnp.description = 'AT Real-Time Clock'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0b00'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0b00'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'AT Real-Time Clock'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:07'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

49: udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02_0'
  info.bus = 'pnp'  (string)
  pnp.description = 'General ID for reserving resources required by PnP
motherboard registers. (Not device specific.)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02_0'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0c02'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'General ID for reserving resources required by PnP motherboard
registers. (Not device specific.)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:06'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'system'  (string)

50: udi = '/org/freedesktop/Hal/devices/pnp_PNP0c04'
  info.bus = 'pnp'  (string)
  pnp.description = 'Math Coprocessor'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0c04'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0c04'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'Math Coprocessor'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:05'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

51: udi = '/org/freedesktop/Hal/devices/pnp_PNP0103'
  info.bus = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0103'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0103'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'PnP Device (PNP0103)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:04'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

52: udi = '/org/freedesktop/Hal/devices/pnp_INT0800'
  info.bus = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_INT0800'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'INT0800'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'PnP Device (INT0800)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:03'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

53: udi = '/org/freedesktop/Hal/devices/pnp_PNP0200'
  info.bus = 'pnp'  (string)
  pnp.description = 'AT DMA Controller'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0200'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0200'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'AT DMA Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:02'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

54: udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02'
  info.bus = 'pnp'  (string)
  pnp.description = 'General ID for reserving resources required by PnP
motherboard registers. (Not device specific.)'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0c02'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0c02'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'General ID for reserving resources required by PnP motherboard
registers. (Not device specific.)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:01'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'system'  (string)

55: udi = '/org/freedesktop/Hal/devices/pnp_PNP0a08'
  info.bus = 'pnp'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pnp_PNP0a08'  (string)
  linux.subsystem = 'pnp'  (string)
  pnp.id = 'PNP0a08'  (string)
  info.subsystem = 'pnp'  (string)
  info.product = 'PnP Device (PNP0a08)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pnp0/00:00'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

56: udi = '/org/freedesktop/Hal/devices/platform_vesafb_0'
  platform.id = 'vesafb.0'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_vesafb_0'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (vesafb.0)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/vesafb.0'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

57: udi = '/org/freedesktop/Hal/devices/platform_serial8250'
  platform.id = 'serial8250'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_serial8250'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (serial8250)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/serial8250'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'serial8250'  (string)

58: udi = '/org/freedesktop/Hal/devices/platform_pcspkr'
  platform.id = 'pcspkr'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_pcspkr'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (pcspkr)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/pcspkr'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

59: udi = '/org/freedesktop/Hal/devices/platform_iTCO_wdt'
  platform.id = 'iTCO_wdt'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_iTCO_wdt'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (iTCO_wdt)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/iTCO_wdt'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'iTCO_wdt'  (string)

60: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'
  info.bus = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port'  (string)
  linux.subsystem = 'serio'  (string)
  info.subsystem = 'serio'  (string)
  info.product = 'i8042 AUX3 port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio4'  (string)
  serio.description = 'i8042 AUX3 port'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  info.linux.driver = 'psmouse'  (string)
  serio.id = 'serio4'  (string)

61: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX2_port'
  info.bus = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX2_port'  (string)
  linux.subsystem = 'serio'  (string)
  info.subsystem = 'serio'  (string)
  info.product = 'i8042 AUX2 port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio3'  (string)
  serio.description = 'i8042 AUX2 port'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  serio.id = 'serio3'  (string)

62: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX1_port'
  info.bus = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX1_port'  (string)
  linux.subsystem = 'serio'  (string)
  info.subsystem = 'serio'  (string)
  info.product = 'i8042 AUX1 port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio2'  (string)
  serio.description = 'i8042 AUX1 port'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  serio.id = 'serio2'  (string)

63: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX0_port'
  info.bus = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX0_port'  (string)
  linux.subsystem = 'serio'  (string)
  info.subsystem = 'serio'  (string)
  info.product = 'i8042 AUX0 port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio1'  (string)
  serio.description = 'i8042 AUX0 port'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  serio.id = 'serio1'  (string)

64: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'
  info.bus = 'serio'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_KBD_port'  (string)
  linux.subsystem = 'serio'  (string)
  info.subsystem = 'serio'  (string)
  info.product = 'i8042 KBD port'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio0'  (string)
  serio.description = 'i8042 KBD port'  (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  info.linux.driver = 'atkbd'  (string)
  serio.id = 'serio0'  (string)

65: udi = '/org/freedesktop/Hal/devices/platform_i8042'
  platform.id = 'i8042'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (i8042)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/i8042'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'i8042'  (string)

66: udi = '/org/freedesktop/Hal/devices/platform_dock_0'
  platform.id = 'dock.0'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_dock_0'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (dock.0)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/dock.0'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

67: udi = '/org/freedesktop/Hal/devices/platform_bluetooth'
  platform.id = 'bluetooth'  (string)
  info.bus = 'platform'  (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_bluetooth'  (string)
  linux.subsystem = 'platform'  (string)
  info.subsystem = 'platform'  (string)
  info.product = 'Platform Device (bluetooth)'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/platform/bluetooth'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)

68: udi = '/org/freedesktop/Hal/devices/pci_8086_266a'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266a'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.3'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9834  (0x266a)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.3'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'i801_smbus'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 5  (0x5)  (int)

69: udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0'
  scsi.vendor = 'TEAC'  (string)
  scsi.bus = 0  (0x0)  (int)
  info.bus = 'scsi'  (string)
  scsi.target = 1  (0x1)  (int)
  scsi.lun = 0  (0x0)  (int)
  info.udi =
'/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0_0'  (string)
  linux.subsystem = 'scsi'  (string)
  info.subsystem = 'scsi'  (string)
  info.product = 'SCSI Device'  (string)
  scsi.model = 'DV-W28E'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:1/0:0:1:0'  (string)
  scsi.host = 0  (0x0)  (int)
  scsi.type = 'cdrom'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host'  (string)
  info.linux.driver = 'sr'  (string)

70: udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0'
  scsi.vendor = 'ATA'  (string)
  scsi.bus = 0  (0x0)  (int)
  info.bus = 'scsi'  (string)
  scsi.target = 0  (0x0)  (int)
  scsi.lun = 0  (0x0)  (int)
  info.udi =
'/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host_scsi_device_lun0'  (string)
  linux.subsystem = 'scsi'  (string)
  info.subsystem = 'scsi'  (string)
  info.product = 'SCSI Device'  (string)
  scsi.model = 'SAMSUNG MP0804H'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path =
'/sys/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0'  (string)
  scsi.host = 0  (0x0)  (int)
  scsi.type = 'disk'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host'  (string)
  info.linux.driver = 'sd'  (string)

71: udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host'
  scsi_host.host = 0  (0x0)  (int)
  info.capabilities = { 'scsi_host' } (string list)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266f_scsi_host'  (string)
  linux.subsystem = 'scsi_host'  (string)
  info.product = 'SCSI Host Adapter'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1/host0'  (string)
  info.category = 'scsi_host'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_266f'  (string)

72: udi = '/org/freedesktop/Hal/devices/pci_8086_266f'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 138  (0x8a)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266f'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9839  (0x266f)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.1'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'ata_piix'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 1  (0x1)  (int)
  pci.device_subclass = 1  (0x1)  (int)

73: udi = '/org/freedesktop/Hal/devices/pci_8086_2641'
  pci.product = '82801FBM (ICH6M) LPC Interface Bridge'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2641'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.0'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9793  (0x2641)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FBM (ICH6M) LPC Interface Bridge'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1f.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 6  (0x6)  (int)
  pci.device_subclass = 1  (0x1)  (int)

74: udi = '/org/freedesktop/Hal/devices/pci_8086_266d'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller' 
(string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266d'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.3'  (string)
  pci.subsys_product_id = 8469  (0x2115)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9837  (0x266d)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller' 
(string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.3'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'Intel ICH Modem'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 7  (0x7)  (int)
  pci.device_subclass = 3  (0x3)  (int)

75: udi = '/org/freedesktop/Hal/devices/pci_8086_266e'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller' 
(string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_266e'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.2'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9838  (0x266e)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller' 
(string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.2'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'Intel ICH'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 4  (0x4)  (int)
  pci.device_subclass = 1  (0x1)  (int)

76: udi = '/org/freedesktop/Hal/devices/pci_1180_592'
  pci.product = 'R5C592 Memory Stick Bus Host Adapter'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_1180_592'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.3' 
(string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Ricoh Co Ltd'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 1426  (0x592)  (int)
  pci.vendor = 'Ricoh Co Ltd'  (string)
  info.product = 'R5C592 Memory Stick Bus Host Adapter'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.3'  (string)
  pci.vendor_id = 4480  (0x1180)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 8  (0x8)  (int)
  pci.device_subclass = 128  (0x80)  (int)

77: udi = '/org/freedesktop/Hal/devices/pci_1180_822'
  pci.product = 'R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_1180_822'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.2' 
(string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Ricoh Co Ltd'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 2082  (0x822)  (int)
  pci.vendor = 'Ricoh Co Ltd'  (string)
  info.product = 'R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.2'  (string)
  pci.vendor_id = 4480  (0x1180)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  info.linux.driver = 'sdhci'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 8  (0x8)  (int)
  pci.device_subclass = 5  (0x5)  (int)

78: udi = '/org/freedesktop/Hal/devices/ieee1394_guidf0412009532e'
  linux.device_file = '/dev/fw0'  (string)
  ieee1394.vendor = 'Linux Firewire'  (string)
  info.bus = 'ieee1394'  (string)
  info.capabilities = { 'ieee1394' } (string list)
  ieee1394.guid = 264162501022510  (0xf0412009532e)  (uint64)
  ieee1394.vendor_id = 13634846  (0xd00d1e)  (int)
  ieee1394.product_id = 1  (0x1)  (int)
  info.udi = '/org/freedesktop/Hal/devices/ieee1394_guidf0412009532e'  (string)
  linux.subsystem = 'firewire'  (string)
  ieee1394.device = '/dev/fw0'  (string)
  info.subsystem = 'ieee1394'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.1/fw0' 
(string)
  ieee1394.product = 'Juju'  (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_1180_552'  (string)

79: udi = '/org/freedesktop/Hal/devices/pci_1180_552'
  pci.product = 'R5C552 IEEE 1394 Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 16  (0x10)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_1180_552'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.1' 
(string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Ricoh Co Ltd'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 1362  (0x552)  (int)
  pci.vendor = 'Ricoh Co Ltd'  (string)
  info.product = 'R5C552 IEEE 1394 Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.1'  (string)
  pci.vendor_id = 4480  (0x1180)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  info.linux.driver = 'firewire_ohci'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 0  (0x0)  (int)

80: udi = '/org/freedesktop/Hal/devices/pci_1180_476'
  pci.product = 'RL5c476 II'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_1180_476'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.0' 
(string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Ricoh Co Ltd'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 1142  (0x476)  (int)
  pci.vendor = 'Ricoh Co Ltd'  (string)
  info.product = 'RL5c476 II'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:09.0'  (string)
  pci.vendor_id = 4480  (0x1180)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  info.linux.driver = 'yenta_cardbus'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 6  (0x6)  (int)
  pci.device_subclass = 7  (0x7)  (int)

81: udi = '/org/freedesktop/Hal/devices/pci_8086_4220'
  pci.product = 'PRO/Wireless 2200BG Network Connection'  (string)
  pci.subsys_vendor = 'Intel Corporation'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_4220'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:07.0' 
(string)
  pci.subsys_product_id = 10033  (0x2731)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 16928  (0x4220)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = 'PRO/Wireless 2200BG Network Connection'  (string)
  pci.subsys_product = 'Samsung P35 integrated WLAN'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:07.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  info.linux.driver = 'ipw2200'  (string)
  pci.subsys_vendor_id = 32902  (0x8086)  (int)
  pci.device_class = 2  (0x2)  (int)
  pci.device_subclass = 128  (0x80)  (int)

82: udi = '/org/freedesktop/Hal/devices/ipw_wlan_switch'
  org.freedesktop.Hal.Device.KillSwitch.method_signatures = { 'b', '' } (string
list)
  info.bus = 'unknown'  (string)
  killswitch.type = 'wlan'  (string)
  info.udi = '/org/freedesktop/Hal/devices/ipw_wlan_switch'  (string)
  info.capabilities = { 'killswitch' } (string list)
  org.freedesktop.Hal.Device.KillSwitch.method_names = { 'SetPower', 'GetPower'
} (string list)
  info.interfaces = { 'org.freedesktop.Hal.Device.KillSwitch' } (string list)
  info.subsystem = 'unknown'  (string)
  info.product = 'Intel PRO/Wireless WLAN Switch'  (string)
  killswitch.access_method = 'ipw'  (string)
  org.freedesktop.Hal.Device.KillSwitch.method_argnames = { 'power', '' }
(string list)
  info.category = 'killswitch'  (string)
  org.freedesktop.Hal.Device.KillSwitch.method_execpaths = {
'hal-system-killswitch-set-power', 'hal-system-killswitch-get-power' } (string list)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_4220'  (string)

83: udi = '/org/freedesktop/Hal/devices/pci_14e4_170c'
  pci.product = 'BCM4401-B0 100Base-TX'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_14e4_170c'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:05.0' 
(string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Broadcom Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 5900  (0x170c)  (int)
  pci.vendor = 'Broadcom Corporation'  (string)
  info.product = 'BCM4401-B0 100Base-TX'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0/0000:06:05.0'  (string)
  pci.vendor_id = 5348  (0x14e4)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  info.linux.driver = 'b44'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 2  (0x2)  (int)
  pci.device_subclass = 0  (0x0)  (int)

84: udi = '/org/freedesktop/Hal/devices/pci_8086_2448'
  pci.product = '82801 Mobile PCI Bridge'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 1  (0x1)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2448'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  pci.subsys_product_id = 0  (0x0)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9288  (0x2448)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801 Mobile PCI Bridge'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1e.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.device_class = 6  (0x6)  (int)
  pci.device_subclass = 4  (0x4)  (int)

85: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_7_if0'
  usb.version_bcd = 512  (0x200)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.device_protocol = 1  (0x1)  (int)
  linux.subsystem = 'usb'  (string)
  usb.device_revision_bcd = 518  (0x206)  (int)
  info.product = 'USB Hub Interface'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  info.linux.driver = 'hub'  (string)
  usb.num_interfaces = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_7'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.version = 2  (double)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.23.1-42.fc8 ehci_hcd'  (string)
  info.subsystem = 'usb'  (string)
  usb.device_class = 9  (0x9)  (int)
  usb.can_wake_up = true  (bool)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-0:1.0' 
(string)
  usb.serial = '0000:00:1d.7'  (string)
  usb.speed = 480  (double)
  usb.num_ports = 8  (0x8)  (int)
  usb.speed_bcd = 294912  (0x48000)  (int)
  usb.max_power = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_7_if0' 
(string)
  info.bus = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-0:1.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)

86: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_7'
  linux.subsystem = 'usb'  (string)
  info.product = 'EHCI Host Controller'  (string)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.product = 'EHCI Host Controller'  (string)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.speed = 480  (double)
  usb_device.vendor = 'Linux 2.6.23.1-42.fc8 ehci_hcd'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  info.linux.driver = 'usb'  (string)
  usb_device.serial = '0000:00:1d.7'  (string)
  usb_device.device_class = 9  (0x9)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_265c'  (string)
  usb_device.bus_number = 1  (0x1)  (int)
  usb_device.device_protocol = 1  (0x1)  (int)
  usb_device.is_self_powered = true  (bool)
  info.subsystem = 'usb_device'  (string)
  info.vendor = 'Linux 2.6.23.1-42.fc8 ehci_hcd'  (string)
  usb_device.version = 2  (double)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.speed_bcd = 294912  (0x48000)  (int)
  usb_device.version_bcd = 512  (0x200)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_7'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1' 
(string)
  usb_device.num_configurations = 1  (0x1)  (int)
  info.bus = 'usb_device'  (string)
  linux.device_file = '/dev/bus/usb/001/001'  (string)
  usb_device.num_ports = 8  (0x8)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1'  (string)

87: udi = '/org/freedesktop/Hal/devices/pci_8086_265c'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 32  (0x20)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_265c'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9820  (0x265c)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller' 
(string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'ehci_hcd'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 3  (0x3)  (int)

88: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_3_if0'
  usb.version_bcd = 272  (0x110)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  linux.subsystem = 'usb'  (string)
  usb.device_revision_bcd = 518  (0x206)  (int)
  info.product = 'USB Hub Interface'  (string)
  usb.bus_number = 5  (0x5)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  info.linux.driver = 'hub'  (string)
  usb.num_interfaces = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_3'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.version = 1.1  (double)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  info.subsystem = 'usb'  (string)
  usb.device_class = 9  (0x9)  (int)
  usb.can_wake_up = true  (bool)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3/usb5/5-0:1.0' 
(string)
  usb.serial = '0000:00:1d.3'  (string)
  usb.speed = 12  (double)
  usb.num_ports = 2  (0x2)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.max_power = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_3_if0' 
(string)
  info.bus = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3/usb5/5-0:1.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)

89: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_3'
  linux.subsystem = 'usb'  (string)
  info.product = 'UHCI Host Controller'  (string)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.product = 'UHCI Host Controller'  (string)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.speed = 12  (double)
  usb_device.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  info.linux.driver = 'usb'  (string)
  usb_device.serial = '0000:00:1d.3'  (string)
  usb_device.device_class = 9  (0x9)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_265b'  (string)
  usb_device.bus_number = 5  (0x5)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  info.subsystem = 'usb_device'  (string)
  info.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.version = 1.1  (double)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.version_bcd = 272  (0x110)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_3'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3/usb5' 
(string)
  usb_device.num_configurations = 1  (0x1)  (int)
  info.bus = 'usb_device'  (string)
  linux.device_file = '/dev/bus/usb/005/001'  (string)
  usb_device.num_ports = 2  (0x2)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3/usb5'  (string)

90: udi = '/org/freedesktop/Hal/devices/pci_8086_265b'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_265b'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9819  (0x265b)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.3'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'uhci_hcd'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 3  (0x3)  (int)

91: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_2_if0'
  usb.version_bcd = 272  (0x110)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  linux.subsystem = 'usb'  (string)
  usb.device_revision_bcd = 518  (0x206)  (int)
  info.product = 'USB Hub Interface'  (string)
  usb.bus_number = 4  (0x4)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  info.linux.driver = 'hub'  (string)
  usb.num_interfaces = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_2'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.version = 1.1  (double)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  info.subsystem = 'usb'  (string)
  usb.device_class = 9  (0x9)  (int)
  usb.can_wake_up = true  (bool)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-0:1.0' 
(string)
  usb.serial = '0000:00:1d.2'  (string)
  usb.speed = 12  (double)
  usb.num_ports = 2  (0x2)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.max_power = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_2_if0' 
(string)
  info.bus = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-0:1.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)

92: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_2'
  linux.subsystem = 'usb'  (string)
  info.product = 'UHCI Host Controller'  (string)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.product = 'UHCI Host Controller'  (string)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.speed = 12  (double)
  usb_device.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  info.linux.driver = 'usb'  (string)
  usb_device.serial = '0000:00:1d.2'  (string)
  usb_device.device_class = 9  (0x9)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_265a'  (string)
  usb_device.bus_number = 4  (0x4)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  info.subsystem = 'usb_device'  (string)
  info.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.version = 1.1  (double)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.version_bcd = 272  (0x110)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_2'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4' 
(string)
  usb_device.num_configurations = 1  (0x1)  (int)
  info.bus = 'usb_device'  (string)
  linux.device_file = '/dev/bus/usb/004/001'  (string)
  usb_device.num_ports = 2  (0x2)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4'  (string)

93: udi = '/org/freedesktop/Hal/devices/pci_8086_265a'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_265a'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9818  (0x265a)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'uhci_hcd'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 3  (0x3)  (int)

94: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_1_if0'
  usb.version_bcd = 272  (0x110)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  linux.subsystem = 'usb'  (string)
  usb.device_revision_bcd = 518  (0x206)  (int)
  info.product = 'USB Hub Interface'  (string)
  usb.bus_number = 3  (0x3)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  info.linux.driver = 'hub'  (string)
  usb.num_interfaces = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_1'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.version = 1.1  (double)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  info.subsystem = 'usb'  (string)
  usb.device_class = 9  (0x9)  (int)
  usb.can_wake_up = true  (bool)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0' 
(string)
  usb.serial = '0000:00:1d.1'  (string)
  usb.speed = 12  (double)
  usb.num_ports = 2  (0x2)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.max_power = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_1_if0' 
(string)
  info.bus = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-0:1.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)

95: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_1'
  linux.subsystem = 'usb'  (string)
  info.product = 'UHCI Host Controller'  (string)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.product = 'UHCI Host Controller'  (string)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.speed = 12  (double)
  usb_device.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  info.linux.driver = 'usb'  (string)
  usb_device.serial = '0000:00:1d.1'  (string)
  usb_device.device_class = 9  (0x9)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2659'  (string)
  usb_device.bus_number = 3  (0x3)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  info.subsystem = 'usb_device'  (string)
  info.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.version = 1.1  (double)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.version_bcd = 272  (0x110)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_1'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3' 
(string)
  usb_device.num_configurations = 1  (0x1)  (int)
  info.bus = 'usb_device'  (string)
  linux.device_file = '/dev/bus/usb/003/001'  (string)
  usb_device.num_ports = 2  (0x2)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1/usb3'  (string)

96: udi = '/org/freedesktop/Hal/devices/pci_8086_2659'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2659'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9817  (0x2659)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.1'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'uhci_hcd'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 3  (0x3)  (int)

97: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_0_if0'
  usb.version_bcd = 272  (0x110)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 1  (0x1)  (int)
  usb.product = 'USB Hub Interface'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  linux.subsystem = 'usb'  (string)
  usb.device_revision_bcd = 518  (0x206)  (int)
  info.product = 'USB Hub Interface'  (string)
  usb.bus_number = 2  (0x2)  (int)
  usb.interface.class = 9  (0x9)  (int)
  usb.configuration_value = 1  (0x1)  (int)
  info.linux.driver = 'hub'  (string)
  usb.num_interfaces = 1  (0x1)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_0'  (string)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.version = 1.1  (double)
  usb.vendor_id = 0  (0x0)  (int)
  usb.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  info.subsystem = 'usb'  (string)
  usb.device_class = 9  (0x9)  (int)
  usb.can_wake_up = true  (bool)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-0:1.0' 
(string)
  usb.serial = '0000:00:1d.0'  (string)
  usb.speed = 12  (double)
  usb.num_ports = 2  (0x2)  (int)
  usb.speed_bcd = 4608  (0x1200)  (int)
  usb.max_power = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_0_if0' 
(string)
  info.bus = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-0:1.0'  (string)
  usb.product_id = 0  (0x0)  (int)
  usb.interface.protocol = 0  (0x0)  (int)

98: udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_0'
  linux.subsystem = 'usb'  (string)
  info.product = 'UHCI Host Controller'  (string)
  usb_device.device_revision_bcd = 518  (0x206)  (int)
  usb_device.product = 'UHCI Host Controller'  (string)
  usb_device.product_id = 0  (0x0)  (int)
  usb_device.speed = 12  (double)
  usb_device.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.can_wake_up = true  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.linux.device_number = 1  (0x1)  (int)
  info.linux.driver = 'usb'  (string)
  usb_device.serial = '0000:00:1d.0'  (string)
  usb_device.device_class = 9  (0x9)  (int)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_2658'  (string)
  usb_device.bus_number = 2  (0x2)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.is_self_powered = true  (bool)
  info.subsystem = 'usb_device'  (string)
  info.vendor = 'Linux 2.6.23.1-42.fc8 uhci_hcd'  (string)
  usb_device.version = 1.1  (double)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.vendor_id = 0  (0x0)  (int)
  usb_device.speed_bcd = 4608  (0x1200)  (int)
  usb_device.version_bcd = 272  (0x110)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_0_0_0000_00_1d_0'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2' 
(string)
  usb_device.num_configurations = 1  (0x1)  (int)
  info.bus = 'usb_device'  (string)
  linux.device_file = '/dev/bus/usb/002/001'  (string)
  usb_device.num_ports = 2  (0x2)  (int)
  usb_device.max_power = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb2'  (string)

99: udi = '/org/freedesktop/Hal/devices/pci_8086_2658'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2658'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9816  (0x2658)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'uhci_hcd'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 12  (0xc)  (int)
  pci.device_subclass = 3  (0x3)  (int)

100: udi = '/org/freedesktop/Hal/devices/pci_8086_2660'
  pci.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2660'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1c.0'  (string)
  pci.subsys_product_id = 0  (0x0)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9824  (0x2660)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = '82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1c.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'pcieport-driver'  (string)
  pci.subsys_vendor_id = 0  (0x0)  (int)
  pci.device_class = 6  (0x6)  (int)
  pci.device_subclass = 4  (0x4)  (int)

101: udi = '/org/freedesktop/Hal/devices/pci_8086_2792'
  pci.product = 'Mobile 915GM/GMS/910GML Express Graphics Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2792'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 10130  (0x2792)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = 'Mobile 915GM/GMS/910GML Express Graphics Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.1'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 3  (0x3)  (int)
  pci.device_subclass = 128  (0x80)  (int)

102: udi = '/org/freedesktop/Hal/devices/pci_8086_2592'
  pci.product = 'Mobile 915GM/GMS/910GML Express Graphics Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2592'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9618  (0x2592)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = 'Mobile 915GM/GMS/910GML Express Graphics Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:02.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 3  (0x3)  (int)
  pci.device_subclass = 0  (0x0)  (int)

103: udi = '/org/freedesktop/Hal/devices/pci_8086_2590'
  pci.product = 'Mobile 915GM/PM/GMS/910GML Express Processor to DRAM
Controller'  (string)
  pci.subsys_vendor = 'Samsung Electronics Co Ltd'  (string)
  info.bus = 'pci'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_2590'  (string)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  pci.subsys_product_id = 49178  (0xc01a)  (int)
  linux.subsystem = 'pci'  (string)
  info.vendor = 'Intel Corporation'  (string)
  info.subsystem = 'pci'  (string)
  pci.product_id = 9616  (0x2590)  (int)
  pci.vendor = 'Intel Corporation'  (string)
  info.product = 'Mobile 915GM/PM/GMS/910GML Express Processor to DRAM
Controller'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:00.0'  (string)
  pci.vendor_id = 32902  (0x8086)  (int)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.linux.driver = 'agpgart-intel'  (string)
  pci.subsys_vendor_id = 5197  (0x144d)  (int)
  pci.device_class = 6  (0x6)  (int)
  pci.device_subclass = 0  (0x0)  (int)
Comment 2 Bug Zapper 2008-11-26 03:15:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:07:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.